/*            Copyright (C) 2001, 2002, 2003 Stijn van Dongen
 *
 * This file is part of MCL.  You can redistribute and/or modify MCL under the
 * terms of the GNU General Public License; either version 2 of the License or
 * (at your option) any later version.  You should have received a copy of the
 * GPL along with MCL, in the file COPYING.
*/

#ifndef util_compile_h
#define util_compile_h

#define MCX_UTIL_THREADED     1
#define MCX_UTIL_TYPED_MINMAX 0

#ifndef __GNUC__
#  define   my_inline
#  define   MCX_GNUC_OK       0
#else
/* don't put anything below just yet,
 * my_inline concerns functions that used to be declared with 'extern inline'
 * in header files; they have now moved to the source files.
*/
#  define   my_inline
#  define   MCX_GNUC_OK       1
#endif

#endif

