/*            Copyright (C) 1999, 2000, 2001, 2002, 2003 Stijn van Dongen
 *
 * This file is part of MCL.  You can redistribute and/or modify MCL under the
 * terms of the GNU General Public License; either version 2 of the License or
 * (at your option) any later version.  You should have received a copy of the
 * GPL along with MCL, in the file COPYING.
*/

#include <stdlib.h>

#include "iomagic.h"


int IoExpectMagicNumber
(  FILE*                f_in
,  int                  number_expected
)
   {  int               number_found   =  IoReadInteger(f_in)

   ;  if (number_found != number_expected)
      {  fseek(f_in, -sizeof(int), SEEK_CUR)
      ;  return 0
   ;  }
      else
      return 1
;  }


void IoWriteMagicNumber
(  FILE*                f_out
,  int                  number
)
   {  IoWriteInteger(f_out, number)
;  }


int IoReadInteger
(  FILE*                f_in
)
   {  int               val      =  0
   ;  fread(&val, sizeof(int), 1, f_in)
   ;  return val
;  }


int IoWriteInteger
(  FILE*                f_out
,  int                  val
)
   {  return fwrite(&val, sizeof(int), 1, f_out)
;  }



