/*            Copyright (C) 1999, 2000, 2001, 2002, 2003 Stijn van Dongen
 *
 * This file is part of MCL.  You can redistribute and/or modify MCL under the
 * terms of the GNU General Public License; either version 2 of the License or
 * (at your option) any later version.  You should have received a copy of the
 * GPL along with MCL, in the file COPYING.
*/

#ifndef util_iomagic_h
#define util_iomagic_h

#include <stdlib.h>
#include <stdio.h>


int IoExpectMagicNumber
(  FILE*                f_in
,  int                  number
)  ;

void IoWriteMagicNumber
(  FILE*                f_out
,  int                  number
)  ;

int IoReadInteger
(  FILE*                f_in
)  ;

int IoWriteInteger
(  FILE*                f_out
,  int                  val
)  ;

char* IoReadString
(  FILE*                f_in
)  ;

void IoWriteString
(  FILE*                f_out
,  const char*          val
)  ;

#endif

